|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QListWidgetItem

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QListWidgetItem class reference

## Public Functions

QColor | backgroundColor () const `(obsolete)`
virtual void | setBackgroundColor ( const QColor & color ) `(obsolete)`
void | setTextColor ( const QColor & color ) `(obsolete)`
QColor | textColor () const `(obsolete)`

## Member Function Documentation

### QColor QListWidgetItem::backgroundColor () const

This function is deprecated. Use background() instead.

See also setBackgroundColor().

### void QListWidgetItem::setBackgroundColor ( const QColor & color ) `[virtual]`

This function is deprecated. Use setBackground() instead.

See also backgroundColor().

### void QListWidgetItem::setTextColor ( const QColor & color )

This function is deprecated. Use setForeground() instead.

See also textColor().

### QColor QListWidgetItem::textColor () const

Returns the color used to display the list item's text.

This function is deprecated. Use foreground() instead.

See also setTextColor().